## pyroute2 0.6.4

=== Makefile ===
##
#
#   The pyroute2 project is dual licensed, see README.license.md for details
#
#

##
# Python-related configuration
#
python ?= python
nosetests ?= nosetests
flake8 ?= flake8
pytest ?= pytest
##
# Python -W flags:
#
#  ignore  -- completely ignore
#  default -- default action
#  all     -- print all warnings
#  module  -- print the first warning occurence for a module
#  once    -- print each warning only once
#  error   -- fail on any warning
#
#  Would you like to know more? See man 1 python
#
wlevel ?= once

##
# Other options
#
# root      -- install root (default: platform default)
# lib       -- lib installation target (default: platform default)
# coverage  -- whether to produce html coverage (default: false)
# pdb       -- whether to run pdb on errors (default: false)
# module    -- run only the specified test module (default: run all)
#
ifdef root
	override root := "--root=${root}"
endif

ifdef lib
	override lib := "--install-lib=${lib}"
endif

define list_modules
	`ls -1 | sed -n '/egg-info/n; /pyroute2/p'`
endef

define make_modules
	for module in $(call list_modules); do make -C $$module $(1) python=${python}; done
endef

define fetch_modules_dist
	for module in $(call list_modules); do cp $$module/dist/* dist; done
endef

define clean_module
	if [ -f $$module/setup.json ]; then \
		for i in `ls -1 templates`; do rm -f $$module/$$i; done; \
	fi; \
	rm -f $$module/LICENSE.*; \
	rm -f $$module/README.license.md; \
	rm -f $$module/CHANGELOG.md; \
	rm -f $$module/VERSION; \
	rm -rf $$module/build; \
	rm -rf $$module/dist; \
	rm -rf $$module/*egg-info
endef

define process_templates
	for module in $(call list_modules); do \
		if [ -f $$module/setup.json ]; then \
			for template in `ls -1 templates`; do \
				${python} \
					util/process_template.py \
					templates/$$template \
					$$module/setup.json \
					$$module/$$template; \
			done; \
		fi; \
	done
endef

define deploy_license
	cp LICENSE.* $$module/ ; \
	cp README.license.md $$module/ ; \
	cp CHANGELOG.md $$module/
endef

all:
	@echo targets:
	@echo
	@echo \* clean -- clean all generated files
	@echo \* docs -- generate project docs \(requires sphinx\)
	@echo \* test -- run functional tests \(see README.make.md\)
	@echo \* install -- install lib into the system
	@echo \* develop -- run \"setup.py develop\" \(requires setuptools\)
	@echo

clean:
	@for module in $(call list_modules); do $(call clean_module); done
	@rm -f VERSION
	@rm -rf dist build MANIFEST
	@rm -f docs-build.log
	@rm -f docs/general.rst
	@rm -f docs/changelog.rst
	@rm -f docs/makefile.rst
	@rm -f docs/report.rst
	@rm -rf docs/api
	@rm -rf docs/html
	@rm -rf docs/doctrees
	@[ -z "${keep_coverage}" ] && rm -f  tests/.coverage ||:
	@rm -rf tests/htmlcov
	@[ -z "${keep_coverage}" ] && rm -rf tests/cover ||:
	@rm -rf tests/examples
	@rm -rf tests/bin
	@rm -rf tests/pyroute2
	@rm -f  tests/*xml
	@rm -f  tests/tests.json
	@rm -f  tests/tests.log
	@rm -rf pyroute2.egg-info
	@rm -rf tests-workspaces
	@rm -f python-pyroute2.spec
	@rm -f pyroute2/config/version.py
	@rm -f pyroute2/config.json
	@rm -f pyroute2/setup.cfg
	@rm -f pyroute2.minimal/config.json
	@rm -f pyroute2.minimal/setup.cfg
	@find pyroute2 -name "*pyc" -exec rm -f "{}" \;
	@find pyroute2 -name "*pyo" -exec rm -f "{}" \;

VERSION:
	@${python} util/update_version.py
	@for package in $(call list_modules); do cp VERSION $$package; done
	@for package in pyroute2 pyroute2.minimal; do \
		echo '{"version": "'`cat $$package/VERSION`'"}' >$$package/config.json; \
	done

docs/html:
	@cp README.rst docs/general.rst
	@cp README.make.md docs/makefile.rst
	@cp README.report.md docs/report.rst
	@cp CHANGELOG.md docs/changelog.rst
	@[ -f docs/_templates/private.layout.html ] && ( \
	    mv -f docs/_templates/layout.html docs/_templates/layout.html.orig; \
		cp docs/_templates/private.layout.html docs/_templates/layout.html; ) ||:
	@export PYTHONPATH=`pwd`; \
		make -C docs html || export FAIL=true ; \
		[ -f docs/_templates/layout.html.orig ] && ( \
			mv -f docs/_templates/layout.html.orig docs/_templates/layout.html; ) ||: ;\
		unset PYTHONPATH ;\
		[ -z "$$FAIL" ] || false

docs: install docs/html

check_parameters:
	@if [ ! -z "${skip_tests}" ]; then \
		echo "'skip_tests' is deprecated, use 'skip=...' instead"; false; fi

test: check_parameters
	@export PYTHON=${python}; \
		export NOSE=${nosetests}; \
		export FLAKE8=${flake8}; \
		export WLEVEL=${wlevel}; \
		export SKIP_TESTS=${skip}; \
		export PDB=${pdb}; \
		export COVERAGE=${coverage}; \
		export MODULE=${module}; \
		export LOOP=${loop}; \
		export REPORT=${report}; \
		export WORKER=${worker}; \
		export WORKSPACE=${workspace}; \
		./tests/run.sh

pytest: check_parameters
	@export PYTHON=${python}; \
		export PYTEST=${pytest}; \
		export FLAKE8=${flake8}; \
		export WLEVEL=${wlevel}; \
		export SKIP_TESTS=${skip}; \
		export PDB=${pdb}; \
		export COVERAGE=${coverage}; \
		export MODULE=${module}; \
		export LOOP=${loop}; \
		export REPORT=${report}; \
		export WORKER=${worker}; \
		export WORKSPACE=${workspace}; \
		export PYROUTE2_TEST_DBNAME=${dbname}; \
		export SKIPDB=${skipdb}; \
		./tests/run_pytest.sh

test-platform:
	@${python} -c "\
import logging;\
logging.basicConfig();\
from pr2modules.config.test_platform import TestCapsRtnl;\
from pprint import pprint;\
pprint(TestCapsRtnl().collect())"

upload: dist
	${python} -m twine upload dist/*

setup:
	$(call process_templates)
	@for module in $(call list_modules); do $(call deploy_license); done
	@for module in pyroute2 pyroute2.minimal; do \
		${python} \
		    util/process_template.py \
			$$module/setup.cfg.in \
			$$module/config.json \
			$$module/setup.cfg ; \
	done

dist: clean VERSION setup
	cd pyroute2; ${python} setup.py sdist
	mkdir dist
	$(call make_modules, dist)
	$(call fetch_modules_dist)
	${python} -m twine check dist/*

install: dist
	rm -f dist/pyroute2.minimal*
	${python} -m pip install dist/* ${root}

install-minimal: dist
	${python} -m pip install dist/pyroute2.minimal* dist/pyroute2.core* ${root}

uninstall: clean VERSION setup
	$(call make_modules, uninstall)

audit-imports:
	for module in $(call list_modules); do \
		echo $$module; \
		findimports -n $$module/pr2modules/ 2>/dev/null | awk -f util/imports_dict.awk | awk '{printf("\t"$$0"\n")}'; \
	done

# deprecated:
epydoc clean-version update-version force-version README.md setup.ini develop:
	@echo Deprecated target, see README.make.md

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/html

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyroute2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyroute2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyroute2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyroute2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== pyroute2.minimal/Makefile ===
clean:
	@rm -f VERSION
	@rm -rf *egg-info
	@rm -rf dist
	@rm -rf build

dist:
	${python} setup.py sdist

install:
	${python} setup.py install ${root} ${lib}

uninstall:
	${python} -m pip uninstall -y pyroute2.minimal

develop:
	${python} setup.py develop

=== pyroute2/Makefile ===
clean:
	@rm -f VERSION
	@rm -rf *egg-info
	@rm -rf dist
	@rm -rf build

dist:
	${python} setup.py sdist

install:
	${python} setup.py install ${root} ${lib}

uninstall:
	${python} -m pip uninstall -y pyroute2

develop:
	${python} setup.py develop

=== templates/Makefile ===
clean:
	@rm -f VERSION
	@rm -rf *egg-info
	@rm -rf dist
	@rm -rf build

dist:
	${python} setup.py sdist

install:
	${python} setup.py install ${root} ${lib}

uninstall:
	${python} -m pip uninstall -y {name}

develop:
	${python} setup.py develop

=== tests/requirements.txt ===
twine
aafigure
flake8
nose
coverage
eventlet
mitogen
bottle
sphinx
netaddr
psutil
pytest
pytest-cov
psycopg2
findimports

## pyroute2 0.3.3

=== debian/changelog ===
pyroute2 (0.3.3-1) unstable; urgency=low

  * Initial packaging Closes: #772572

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Fri, 02 Jan 2015 08:57:35 -0600

=== debian/control ===
Source: pyroute2
Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9), dh-python
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/pyroute2
VCS-Browser: https://github.com/craneworks/python-pyroute2
VCS-Git: https://github.com/craneworks/python-pyroute2.git

Package: python-pyroute2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python Netlink library
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This is the Python 2 compatible package. 

Package: python3-pyroute2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 Netlink library
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This is the Python 3 compatible package.

## pyroute2 0.3.5

=== debian/changelog ===
pyroute2 (0.3.5-1) unstable; urgency=medium

  * Update package to 0.3.5 

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Thu, 26 Mar 2015 08:33:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9), dh-python
+Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python
 Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/pyroute2
 VCS-Browser: https://github.com/craneworks/python-pyroute2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyroute2
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/p/pyroute2/pyroute2-(.*)\.(?:tar\.gz|zip|tar\.bz2)

## pyroute2 0.3.16

=== debian/changelog ===
pyroute2 (0.3.16-1) unstable; urgency=medium

  * Bumping to version 0.3.16 (Closes: #797778)
  * Bumping standards-version to 3.9.7
  * https for pypi.debian.net
  * Ignore build process files

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Sun, 27 Mar 2016 23:31:30 +0200

pyroute2 (0.3.5-2) unstable; urgency=medium

  * Fixing debian/watch file for uscan

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Fri, 27 Mar 2015 10:45:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: python
 Priority: optional
 Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://pypi.python.org/pypi/pyroute2
 VCS-Browser: https://github.com/craneworks/python-pyroute2
 VCS-Git: https://github.com/craneworks/python-pyroute2.git

## pyroute2 0.4.12

=== debian/changelog ===
pyroute2 (0.4.12-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 27 Jan 2017 18:47:32 +0000

pyroute2 (0.4.12-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 11:14:35 -0500

pyroute2 (0.4.11-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Jan 2017 10:01:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pyroute2
-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
 Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python

## pyroute2 0.4.18

=== debian/changelog ===
pyroute2 (0.4.18-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 19:47:42 +0000

pyroute2 (0.4.18-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/rules, d/control: Run nosetests(3) as part of build.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 12:58:35 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python
+Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python, python-nose, python3-nose,
 Standards-Version: 3.9.7
 Homepage: https://pypi.python.org/pypi/pyroute2
 VCS-Browser: https://github.com/craneworks/python-pyroute2

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
+
+override_dh_auto_test:
+	nosetests $(CURDIR)/tests/unit/
+	nosetests3 $(CURDIR)/tests/unit/

## pyroute2 0.4.21

=== debian/changelog ===
pyroute2 (0.4.21-0.1ubuntu2.1) bionic; urgency=medium

  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch: increase recvbuf size
      from 16k to 32k.

 -- Billy Olsen <billy.olsen@canonical.com>  Thu, 10 Dec 2020 12:49:54 -0700

pyroute2 (0.4.21-0.1ubuntu2) bionic; urgency=medium

  * Re-merge, restoring accidently dropped Debian changes.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 09:59:47 +0000

pyroute2 (0.4.21-0.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules, d/control: Run nosetests(3) as part of build.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Nov 2017 09:51:58 +0000

pyroute2 (0.4.21-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 19:00:49 +0000

pyroute2 (0.4.21-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Nov 2017 14:10:49 +0000

pyroute2 (0.4.12-2) unstable; urgency=medium

  * Adding docs package (Thanks to Federico Ceratto)
    For now we only ship pre-build documentation

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Sat, 28 Jan 2017 20:09:34 +0100

pyroute2 (0.4.12-1) unstable; urgency=medium

  * Bumping to version 0.4.12 (Closes: #830114)
  * Bumping standards-version to 3.9.8
  * Update Build-Depends and Build-Depends-Indep (Thanks to Federico Ceratto)
  * Adding 'Provides' and 'Recommends' to package (Thanks to Federico Ceratto)
  * Bumping debhelper to version 10
  * Update copyright information
  * Adding README.md and examples/* to package (Thanks to Federico Ceratto)

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Sat, 28 Jan 2017 18:06:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,16 @@
 XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 9~), dh-python, python-nose, python3-nose,
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10~)
+Build-Depends-Indep:
+ dh-python,
+ python-all,
+ python-doc,
+ python-nose,
+ python-sphinx,
+ python3-all,
+ python3-nose,
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/pyroute2
 VCS-Browser: https://github.com/craneworks/python-pyroute2
 VCS-Git: https://github.com/craneworks/python-pyroute2.git
@@ -12,6 +20,9 @@
 Package: python-pyroute2
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Provides: ${python:Provides}
+Recommends: ${python:Recommends}
+Suggests: python-pyroute2-doc
 Description: Python Netlink library
  Pyroute2 is a pure Python netlink and Linux network configuration
  library. It requires only Python stdlib, no 3rd party libraries.
@@ -23,6 +34,9 @@
 Package: python3-pyroute2
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Recommends: ${python3:Recommends}
+Suggests: python-pyroute2-doc
 Description: Python3 Netlink library
  Pyroute2 is a pure Python netlink and Linux network configuration
  library. It requires only Python stdlib, no 3rd party libraries.
@@ -30,4 +44,13 @@
  it is possible.
  .
  This is the Python 3 compatible package.
- 
+
+Package: python-pyroute2-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: netlink and Linux network configuration library (documentation)
+ Pyroute2 is a pure Python netlink and Linux network configuration
+ library. It requires only Python stdlib, no 3rd party libraries.
+ .
+ This package contains the Python module documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyroute2
export PYBUILD_TEST_ARGS=./tests/unit

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## pyroute2 0.5.2

=== debian/changelog ===
pyroute2 (0.5.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version (Closes: #903394)
  * Add nose tests
  * Use Debian package jQuery
  * Fix build-depends-on-python-sphinx-only
  * Adding d/source.lintian-overrides

  [ Florian Pelgrim ]
  * Changed copyright format uri to https
  * Removed trailing spaces from d/control and d/changelog
  * Increased debhelper compat to 11
  * Update lintian override location to d/source/lintian-overrides

 -- Florian Pelgrim <florian.pelgrim@craneworks.de>  Tue, 10 Jul 2018 21:32:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pyroute2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
+Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python-all,
  python-doc,
+ python-sphinx,
  python-nose,
- python-sphinx,
- python3-all,
+ python3-sphinx,
  python3-nose,
-Standards-Version: 3.9.8
+ python3-all
+Standards-Version: 4.1.5
 Homepage: https://pypi.python.org/pypi/pyroute2
 VCS-Browser: https://github.com/craneworks/python-pyroute2
 VCS-Git: https://github.com/craneworks/python-pyroute2.git
@@ -29,7 +29,7 @@
  Later it can change, but the deps tree will remain as simple, as
  it is possible.
  .
- This is the Python 2 compatible package. 
+ This is the Python 2 compatible package.
 
 Package: python3-pyroute2
 Architecture: all
@@ -48,7 +48,10 @@
 Package: python-pyroute2-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ libjs-underscore,
+ libjs-jquery,
+ ${misc:Depends}
 Description: netlink and Linux network configuration library (documentation)
  Pyroute2 is a pure Python netlink and Linux network configuration
  library. It requires only Python stdlib, no 3rd party libraries.

## pyroute2 0.5.4

=== debian/changelog ===
pyroute2 (0.5.4-0ubuntu0.19.04.1~cloud2) bionic; urgency=medium

  * Increase default recv-buf size (LP: #1904730):
    - d/p/increase-recvbuf-size.patch: increase recvbuf size
      from 16k to 32k.

 -- James Page <james.page@ubuntu.com>  Tue, 15 Feb 2022 11:03:19 +0000

pyroute2 (0.5.4-0ubuntu0.19.04.1~cloud1) bionic; urgency=medium

  * New upstream point release to resolve compatibility issues with
    OpenStack Neutron (LP: #1861457).
  * d/rules,python{3}-pyroute2.{postinst,prerm,postrm}: Use alternatives to
    manage ss2 binary.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Feb 2020 09:41:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pyroute2
-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11~)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyroute2
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=tests/unit
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python-pyroute2/usr/bin/ss2 $(CURDIR)/debian/python-pyroute2/usr/bin/python2-ss2
	mv $(CURDIR)/debian/python3-pyroute2/usr/bin/ss2 $(CURDIR)/debian/python3-pyroute2/usr/bin/python3-ss2

## pyroute2 0.5.6

=== debian/changelog ===
pyroute2 (0.5.6-0ubuntu1) eoan; urgency=medium

  * New upstream point release.
  * d/rules,*.postinst,prerm,postrm: Install py2/py3 binaries as
    alternatives.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 11:55:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,5 @@
 	dh_install
 	mv $(CURDIR)/debian/python-pyroute2/usr/bin/ss2 $(CURDIR)/debian/python-pyroute2/usr/bin/python2-ss2
 	mv $(CURDIR)/debian/python3-pyroute2/usr/bin/ss2 $(CURDIR)/debian/python3-pyroute2/usr/bin/python3-ss2
+	mv $(CURDIR)/debian/python-pyroute2/usr/bin/pyroute2-cli $(CURDIR)/debian/python-pyroute2/usr/bin/python2-pyroute2-cli
+	mv $(CURDIR)/debian/python3-pyroute2/usr/bin/pyroute2-cli $(CURDIR)/debian/python3-pyroute2/usr/bin/python3-pyroute2-cli

## pyroute2 0.5.7

=== debian/changelog ===
pyroute2 (0.5.7-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Remove Google Analytics patch, not needed anymore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2019 11:41:27 +0100

pyroute2 (0.5.6-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-Google-Analytics-from-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Sep 2019 23:02:44 +0200

pyroute2 (0.5.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #937529).
    - This also fixes /usr/bin/ss2 shipped in both Python 2 and Python 3
      versions of this package. Adding Breaks+Replaces to make sure upgrades
      are smooth (Closes: #932882).
  * Add remove-Google-Analytics-from-docs.patch.
  * Move the package to the DPMT:
    - Change the Maintainer field.
    - Fix VCS fields.
    - Add myself and Florian Pelgrim as uploaders.
  * Fixed debian/python-pyroute2-doc.links which were adding symlinks in the
    wrong folder.
  * Fixed debian/python-pyroute2-doc.doc-base which was also poiting to the
    wrong folder.
  * Added missing runtime depends: python3-psutil.
  * Fixed debian/copyright missing many licenses.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Aug 2019 15:02:27 +0200

pyroute2 (0.5.4-1) unstable; urgency=medium

  * Non-maintainer upload (because of no reply in the BTS after 3 months).
  * New upstream release. (Closes: #926141)

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jul 2019 00:12:14 +0200

=== debian/control ===
Source: pyroute2
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Florian Pelgrim <florian.pelgrim@craneworks.de>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
Build-Depends-Indep:
 python3-nose,
 python3-sphinx,
Standards-Version: 4.1.5
VCS-Browser: https://salsa.debian.org/python-team/modules/pyroute2
VCS-Git: https://salsa.debian.org/python-team/modules/pyroute2.git
Homepage: https://pypi.python.org/pypi/pyroute2

Package: python-pyroute2-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
Description: netlink and Linux network configuration library (documentation)
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 .
 This package contains the Python module documentation.

Package: python3-pyroute2
Architecture: all
Depends:
 python3-psutil,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Recommends:
 ${python3:Recommends},
Breaks:
 python-pyroute2 (<< 0.5.4-2~),
Replaces:
 python-pyroute2 (<< 0.5.4-2~),
Suggests:
 python-pyroute2-doc,
Description: Python3 Netlink library
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This is the Python 3 compatible package.

## pyroute2 0.5.9

=== debian/changelog ===
pyroute2 (0.5.9-0ubuntu2) focal; urgency=medium

  [ Billy Olsen ]
  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
      from 16k to 64k.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 16:39:24 -0400

pyroute2 (0.5.9-0ubuntu1) focal; urgency=medium

  * New upstream point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 13 Mar 2020 10:41:47 -0400

pyroute2 (0.5.7-0ubuntu1) focal; urgency=medium

  * New upstream point release.
  * d/control, d/rules. d/*prerm, d/*post*: Drop python-pyroute2 binary
    package. Also drop alternatives as they're no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 12:24:24 -0500

pyroute2 (0.5.6-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:56 +0000

=== debian/control ===
Source: pyroute2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Pelgrim <florian.pelgrim@craneworks.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep:
 dh-python,
 python3-sphinx,
 python3-nose,
 python3-all
Standards-Version: 4.1.5
Homepage: https://pypi.python.org/pypi/pyroute2
VCS-Browser: https://github.com/craneworks/python-pyroute2
VCS-Git: https://github.com/craneworks/python-pyroute2.git

Package: python3-pyroute2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Suggests: python-pyroute2-doc
Description: Python3 Netlink library
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This is the Python 3 compatible package.

Package: python-pyroute2-doc
Architecture: all
Section: doc
Depends:
 libjs-underscore,
 libjs-jquery,
 ${misc:Depends}
Description: netlink and Linux network configuration library (documentation)
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 .
 This package contains the Python module documentation.

## pyroute2 0.5.14

=== debian/changelog ===
pyroute2 (0.5.14-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2020 14:31:06 +0200

pyroute2 (0.5.14-1) experimental; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed VCS URL to the new Python team "packages" subgroup.
  * Standards-Version: 4.5.0.
  * Added python3-setuptools as build-depends.
  * Add remove-google-annalytics-from-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2020 09:23:18 +0200

=== debian/control ===
Source: pyroute2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Florian Pelgrim <florian.pelgrim@craneworks.de>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-nose,
 python3-sphinx,
Standards-Version: 4.5.0
VCS-Browser: https://salsa.debian.org/python-team/packages/pyroute2
VCS-Git: https://salsa.debian.org/python-team/packages/pyroute2.git
Homepage: https://pypi.python.org/pypi/pyroute2

Package: python-pyroute2-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-underscore,
 ${misc:Depends},
Description: netlink and Linux network configuration library (documentation)
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 .
 This package contains the Python module documentation.

Package: python3-pyroute2
Architecture: all
Depends:
 python3-psutil,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Recommends:
 ${python3:Recommends},
Breaks:
 python-pyroute2 (<< 0.5.4-2~),
Replaces:
 python-pyroute2 (<< 0.5.4-2~),
Suggests:
 python-pyroute2-doc,
Description: Python3 Netlink library
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This is the Python 3 compatible package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyroute2
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=tests/unit
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyroute2/pyroute2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyroute2 0.6.4

=== debian/changelog ===
pyroute2 (0.6.4-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:56:40 +0200

pyroute2 (0.6.4-2) experimental; urgency=medium

  * python3-pyroute2.{core,ndb}: add missing Breaks+Replaces: python3-pyroute2
    (<< 0.6) (Closes: #995114).
  * Add fix-conf.py-for-sphinx-4.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Sep 2021 17:04:23 +0200

pyroute2 (0.6.4-1) experimental; urgency=medium

  * New upstream release.
  * Switch the package to the OpenStack team, and switch the packaging to a
    Git tag based workflow.
  * Build the sphinx doc from source using dh_sphinxdoc override.
  * Remove patch remove-google-annalytics-from-docs.patch.
  * Build-depends on python3-pytest.
  * Get away from pybuild, because it's not adapted to the new type of
    upstream packaging.
  * Fix upstream code to find out package version.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Sep 2021 09:07:36 +0200

=== debian/control ===
Source: pyroute2
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Florian Pelgrim <florian.pelgrim@craneworks.de>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aafigure,
 python3-bottle,
 python3-coverage,
 python3-eventlet,
 python3-mitogen,
 python3-netaddr,
 python3-nose,
 python3-psutil,
 python3-psycopg2,
 python3-pytest,
 python3-pytest-cov,
 python3-sphinx,
Standards-Version: 4.5.0
VCS-Browser: https://salsa.debian.org/third-party/pyroute2
VCS-Git: https://salsa.debian.org/third-party/pyroute2.git
Homepage: https://github.com/svinota/pyroute2

Package: python-pyroute2-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: netlink and Linux network configuration library (documentation)
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 .
 This package contains the Python module documentation.

Package: python3-pyroute2
Architecture: all
Conflicts:
 python3-pyroute2-minimal,
Depends:
 python3-psutil,
 python3-pyroute2.core,
 python3-pyroute2.ethtool,
 python3-pyroute2.ipdb,
 python3-pyroute2.ipset,
 python3-pyroute2.ndb,
 python3-pyroute2.nftables,
 python3-pyroute2.nslink,
 python3-pyroute2.protocols,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - full package
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package depends on all packages making Pyroute 2. install this
 if you want the full distribution of Pyroute 2.

Package: python3-pyroute2-minimal
Architecture: all
Conflicts:
 python3-pyroute2,
 python3-pyroute2.ethtool,
 python3-pyroute2.ipdb,
 python3-pyroute2.ipset,
 python3-pyroute2.ndb,
 python3-pyroute2.nftables,
 python3-pyroute2.nslink,
 python3-pyroute2.protocols,
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyroute2-doc,
Description: Python3 Netlink library - minimal
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package provides a minimal installation of Pyroute 2.

Package: python3-pyroute2.core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-pyroute2 (<< 0.6),
Replaces:
 python3-pyroute2 (<< 0.6),
Description: Python3 Netlink library - core
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the core module of Pyroute 2.

Package: python3-pyroute2.ethtool
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - ethtool
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the ethtool module of Pyroute 2.

Package: python3-pyroute2.ipdb
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - ipdb
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the ipdb module of Pyroute 2.

Package: python3-pyroute2.ipset
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - ipset
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the ipset module of Pyroute 2.

Package: python3-pyroute2.ndb
Architecture: all
Depends:
 python3-pyroute2.core,
 python3-pyroute2.nslink,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-pyroute2 (<< 0.6),
Replaces:
 python3-pyroute2 (<< 0.6),
Description: Python3 Netlink library - ndb
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the ndb module of Pyroute 2.

Package: python3-pyroute2.nftables
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - nftables
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the nftables module of Pyroute 2.

Package: python3-pyroute2.nslink
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - nslink
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the nslink module of Pyroute 2.

Package: python3-pyroute2.protocols
Architecture: all
Depends:
 python3-pyroute2.core,
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 Netlink library - protocols
 Pyroute2 is a pure Python netlink and Linux network configuration
 library. It requires only Python stdlib, no 3rd party libraries.
 Later it can change, but the deps tree will remain as simple, as
 it is possible.
 .
 This package contains the protocols module of Pyroute 2.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/svinota/pyroute2
include /usr/share/openstack-pkg-tools/pkgos.make

#export PYBUILD_NAME=pyroute2
#export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/
#export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
#export PYBUILD_TEST_ARGS=tests/unit
#export PYBUILD_TEST_NOSE=1

export python=python3

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -type f -name "*.pyc" | xargs rm -fr
	$(MAKE) clean

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	$(MAKE) VERSION
	$(MAKE) setup
	mkdir debian/test-installs

	# Install in a temp folder for tests
	MYDIR=$(CURDIR) ; set -e ; set -x ; for PACKAGE in pyroute2 pyroute2.core pyroute2.ethtool pyroute2.ipdb pyroute2.ipset pyroute2.ndb pyroute2.nftables pyroute2.nslink pyroute2.protocols ; do \
		cd $${MYDIR}/$$PACKAGE ; \
		python3 setup.py install --install-layout=deb --root $${MYDIR}/debian/test-installs ; \
	done ; cd $${MYDIR}

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Do not run tests for now..."
	#set -e ; set -x ; cd tests ; PYTHONPATH=.:$(CURDIR)/debian/test-installs/usr/lib/python3/dist-packages python3 -m pytest
endif

	# Install in the packaging folders
	MYDIR=$(CURDIR) ; set -e ; set -x ; for PACKAGE in pyroute2 pyroute2.minimal pyroute2.core pyroute2.ethtool pyroute2.ipdb pyroute2.ipset pyroute2.ndb pyroute2.nftables pyroute2.nslink pyroute2.protocols ; do \
		cd $${MYDIR}/$$PACKAGE ; \
		if [ $$PACKAGE = "pyroute2.minimal" ] ; then \
			DESTPKG=pyroute2-minimal ; \
		else \
			DESTPKG=$$PACKAGE ; \
		fi ; \
		python3 setup.py install --install-layout=deb --root $${MYDIR}/debian/python3-$$DESTPKG ; \
	done ; cd $${MYDIR}

	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR)/debian/test-installs/usr/lib/python3/dist-packages python3 -m sphinx -b html docs $(CURDIR)/debian/python-pyroute2-doc/usr/share/doc/python-pyroute2-doc/html
	dh_sphinxdoc
